## subtitleoverlay subtitleoverlay |

## Properties

gchar * | font-desc | Read / Write
gboolean | silent | Read / Write
gchar * | subtitle-encoding | Read / Write

## Types and Values

struct | GstSubtitleOverlay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstSubtitleOverlay

## Implemented Interfaces

GstSubtitleOverlay implements GstChildProxy.

## Description

GstBin that auto-magically overlays a video stream with subtitles by autoplugging the required elements.

It supports raw, timestamped text, different textual subtitle formats and DVD subpicture subtitles.

### Examples

    1
    gst-launch-1.0 -v filesrc location=test.mkv ! matroskademux name=demux ! video/x-h264 ! queue ! decodebin ! subtitleoverlay name=overlay ! videoconvert ! autovideosink  demux. ! subpicture/x-dvd ! queue ! overlay.

This will play back the given Matroska file with h264 video and dvd subpicture style subtitles.

## Synopsis

### Element Information

plugin | playback
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Video/Overlay/Subtitle

### Element Pads

name | subtitle_sink
direction | sink
presence | always
details | ANY

name | video_sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstSubtitleOverlay

    struct GstSubtitleOverlay;

## Property Details

### The `“font-desc”` property

      “font-desc”                gchar *

Pango font description of font to be used for subtitle rendering.

Flags: Read / Write

Default value: NULL

### The `“silent”` property

      “silent”                   gboolean

Whether to show subtitles.

Flags: Read / Write

Default value: FALSE

### The `“subtitle-encoding”` property

      “subtitle-encoding”        gchar *

Encoding to assume if input subtitles are not in UTF-8 encoding. If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

Flags: Read / Write

Default value: NULL